Bug 156912 - Fix port: mail/thunderbird occasionally breaks with gmake-3.82
Fix port: mail/thunderbird occasionally breaks with gmake-3.82
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
Depends on:
  Show dependency treegraph
Reported: 2011-05-09 20:10 UTC by utisoft
Modified: 2011-07-05 22:20 UTC (History)
0 users

See Also:

file.diff (848 bytes, patch)
2011-05-09 20:10 UTC, utisoft
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description utisoft 2011-05-09 20:10:07 UTC
Described at [1] is a build failure, which has been tracked down to a change in allowed syntax by gmake between 3.81 and 3.82 (I tested this using both versions).

Buried under some weird ifndefs in ${WRKSRC}/mailnews/extensions/smime/build/Makefile.in is the line:

SHARED_LIBRARY_LIBS + = ../../../base/util/$(LIB_PREFIX)msgbsutl_s.$(LIB_SUFFIX)

using the (now invalid) + = syntax. This patch corrects this, thus solving the build problem for this minority of users.

[1] http://www.mail-archive.com/freebsd-questions@freebsd.org/msg246017.html

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-05-09 20:10:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gecko

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Chris Rees freebsd_committer 2011-06-30 21:56:50 UTC
Responsible Changed
From-To: gecko->crees

I'll take it.
Comment 3 dfilter freebsd_committer 2011-07-05 22:14:29 UTC
crees       2011-07-05 21:14:20 UTC

  FreeBSD ports repository

  Added files:
  Fix for gmake-3.82 issues suffered by a small minority of users
  PR:             ports/156912
  Submitted by:   crees (me)
  Approved by:    rene (mentor), maintainer (gecko; flo@ over IRC)
  Revision  Changes    Path
  1.1       +16 -0     ports/mail/thunderbird3/files/patch-mailnews-extensions-smime-build-Makefile.in (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Chris Rees freebsd_committer 2011-07-05 22:14:41 UTC
State Changed
From-To: open->closed